[workspace]
resolver = "2"
members = [
    "checker",
    "crates/*",
    "server",
    "goodlift-import",
]

# Give CSV-using crates higher optimization levels to avoid extreme CSV load times.
[profile.dev.package.csv]
opt-level = 2
[profile.test.package.csv]
opt-level = 2
[profile.dev.package.opldb]
opt-level = 2
[profile.test.package.opldb]
opt-level = 2
[profile.dev.package.opltypes]
opt-level = 2
[profile.test.package.opltypes]
opt-level = 2

[profile.release]
lto = "fat"
codegen-units = 1

[workspace.dependencies]
serde = "1.0"
serde_derive = "1.0"
serde_json = "1.0"
strum = "0.26"
strum_macros = "0.26"
